Index: docs/user/properties.html
===================================================================
--- docs/user/properties.html	(revision 3590)
+++ docs/user/properties.html	(revision 3591)
@@ -13,7 +13,7 @@
 -->
 <HTML>
 <HEAD>
-<TITLE>Metacat</TITLE>
+<TITLE>Metacat Properties File</TITLE>
 <link rel="stylesheet" type="text/css" href="@docrooturl@default.css">
 </HEAD> 
 <BODY>
@@ -26,10 +26,12 @@
       </td>
     </tr>
   </table>
-  <p>Metacat Server has many dynamically settable properties.  All of them 
-  are kept in the Metacat.properties file.  Most can be set from within
-  the build file when you first install Metacat.  The following is a summary
-  of each property and its function.</p>
+  <p>Metacat Server has many dynamically settable properties.  
+     All of them are kept in the <em>metacat.properties</em> file.  
+     Most <a href="./metacatinstall.html#buildProperties">can be set from within
+     the build file</a> when you first install Metacat. 
+     The following is a summary of each property and its function.
+  </p>
   <table border="1">
     <tr>
       <td><b>Property</b></td>
@@ -77,7 +79,7 @@
     <tr>
       <td>maximumConnections</td>
       <td>The maximum number of database connection Metacat can make.</td>
-      <td>10</td>
+      <td>25</td>
     </tr>
     <tr>
       <td>config-dir</td>
@@ -98,7 +100,7 @@
     <tr>
       <td>siteCode</td>
       <td>The code for the current site.</td>
-      <td>NCEAS</td>
+      <td>nceas</td>
     </tr>
     <tr>
       <td>accNumSeparator</td>
@@ -223,14 +225,49 @@
       </td>
     </tr>
     <tr><td> </td></tr>
-    <tr><td colspan="3"><b>Additional parameters probably not needing to be changed</b></td></tr>
-    <tr><td>configured</td><td>Configuration flag, currently not used.</td><td>false</td></tr>
-    <tr><td>version</td><td>Release version.</td><td>1.5.0-</td></tr>
+
+
+    <tr><td colspan="3"><b>Additional properties that probably do not need to be changed</b></td></tr>
+    <tr><td>configured</td><td>Configuration flag</td><td>true</td></tr>
+    <tr><td>configurationPage</td><td></td>The page to do metacat configuration<td>/configure.jsp</td></tr>
+    <tr><td>configurationSuccessPage</td><td>The page to show successful message after configuration</td><td>/configure-restart.jsp</td></tr>
+    <tr><td>version</td><td>Release version.</td><td>1.7.1</td></tr>
     <tr><td>maximumConnectionAge</td><td> </td><td>120000</td></tr>
     <tr><td>maximumConnectionTime</td><td> </td><td>60000</td></tr>
     <tr><td>maximumUsageNumber</td><td> </td><td>100</td></tr>
+    <tr><td>numberOfIndexingThreads</td><td> </td><td>5</td></tr>
+    <tr><td>indexingTimerTaskTime</td><td> </td><td>604800000</td></tr>
+    <tr><td>indexingInitialDelay</td><td> </td><td>3600000</td></tr>
+    <tr><td>maximumIndexDelay</td><td> </td><td>5000</td></tr>
     <tr><td>runDBConnectionRecycleThread</td><td> </td><td>off</td></tr>
     <tr><td>cycleTimeOfDBConnection</td><td> </td><td>30000</td></tr>
+    <tr>
+      <td>timedreplication</td>
+      <td>Determines whether timed replication to other metacat servers is being used.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>false</code>
+      <br><br>Other possible values:&nbsp;&nbsp;
+          <code>true</code>
+      </td>
+    </tr>
+    <tr>
+      <td>firsttimedreplication</td>
+      <td>The time for starting first timed replication if timedreplication is true.
+          (See comments in build.properties file for additional details.)</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>10:00 PM</code>
+          <code>&nbsp;</code>
+      </td>
+    </tr>
+    <tr>
+      <td>timedreplicationinterval</td>
+      <td>The interval to next timed replication if timedreplication is true.
+          The value is in milliseconds and default value is 48 hours.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>172800000</code>
+          <code>&nbsp;</code>
+      </td>
+    </tr>
     <tr><td>forcereplicationwaitingtime</td><td> </td><td></td></tr>
     <tr><td>eml2_0_0namespace</td><td>Namespace of EML 2.0.0 documents.</td><td>eml://ecoinformatics.org/eml-2.0.0</td></tr>
     <tr><td>eml2_0_1namespace</td><td>Namespace of EML 2.0.1 documents.</td><td>eml://ecoinformatics.org/eml-2.0.1</td></tr>
@@ -238,7 +275,14 @@
     <tr><td>physicaldoctype</td><td> </td><td>-//ecoinformatics.org//eml-physical-2.0.0beta6//EN, -//ecoinformatics.org//eml-physical-2.0.0beta4//EN</td></tr>
     <tr><td>entitydoctype</td><td> </td><td>-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN</td></tr>
     <tr><td>packagedoctypeset</td><td> </td><td> </td></tr>
-    <tr><td>httpserver</td><td> </td><td></td></tr>
+    <tr>
+      <td>httpserver</td>
+      <td>httpserver is the plain HTTP address and port number that Metacat uses for purposes
+          other than replication. Since this property is usually composed of the <code>config.hosthame</code> and <code>config.port</code>
+          properties (described above), the default setting can be used in most cases.</td>
+      <td>Default:&nbsp;&nbsp;<code>${config.hostname}:${config.port}</code>
+      </td>
+    </tr>
     <tr><td>junittesturl</td><td>The url of the test server.</td><td></td></tr>
     <tr><td>replicationerrorlog</td><td> </td><td></td></tr>
     <tr><td>schemaPath</td><td>Path to installed XSD schemas.</td><td></td></tr>
@@ -254,7 +298,135 @@
     <tr><td>app_resultsetsize</td><td>Used for the setting the size of resultset that is processed at a time for applications like morpho</td><td>400</td></tr>
     <tr><td>web_resultsetsize</td><td>Used for the setting the size of resultset for search done using browser</td><td>900</td></tr>
     <tr><td>queryresult_string_length</td><td>Used for the setting the size of queryresult_string in queryresult table</td><td>4000</td></tr>
+    <tr>
+      <td>queryresult_cache_size</td>
+      <td>The size of query result cache.</td>
+      <td>Default:&nbsp;&nbsp;500</td>
+    </tr>
+    <tr>
+      <td>query_cache_on</td>
+      <td>Turn the query result cache on or off</td>
+      <td>Default:&nbsp;&nbsp;true</td>
+    </tr>
     <tr><td>xml_returnfield_count</td><td>Value of xml_returnfield.usage_count should be more than this value for records to be entered into xml_queryresult</td><td>0</td></tr>
+    <tr>
+      <td>moderators</td>
+      <td>Moderator accounts, in a colon-separated list. Special users who will review general user's submission. 
+             Moderators can approve, revise and reject the submission after reviewing. This property is only used in ESA skin.</td>
+      <td>Default:&nbsp;&nbsp;<code>cn=knb-prod,o=NCEAS,dc=ecoinformatics,dc=org</code></td>
+    </tr>
+    <tr>
+      <td>allowedSubmitters</td>
+      <td>Specifies the list of users who should be allowed to submit documents. 
+          If no value is specified (the default setting), all users will be allowed to submit documents.
+      </td>
+      <td>Default:&nbsp;&nbsp;(no value)</td>
+    </tr>
+    <tr>
+      <td>deniedSubmitters</td>
+      <td>Specify the list of users who should not be allowed to submit documents. 
+          If no value is specified (the default setting), all users will be allowed to submit documents.</td>
+      <td>Default:&nbsp;&nbsp;(no value)</td>
+    </tr>
+    <tr>
+      <td>indexNamespaces</td>
+      <td>A comma-separated list of doctypes which will be indexed</td>
+      <td>Default:&nbsp;&nbsp;@eml2_0_0namespace@,@eml2_0_1namespace@</td>
+    </tr>
+    <tr>
+      <td>indexPaths</td>
+      <td>See <a href="./metacatinstall.html#buildProperties">description of build properties</a></td>
+      <td>Default:&nbsp;&nbsp;<code>organizationName,originator/individualName/surName,...</code></td>
+    </tr>
+    <tr>
+      <td>ldapconnecttimelimit</td>
+      <td>The time in milliseconds allowed for ldap server connections.</td>
+      <td>Default:&nbsp;&nbsp;5000</td>
+    </tr>
+    <tr>
+      <td>ldapsearchtimelimit</td>
+      <td>The time in milliseconds allowed for ldap server searches.</td>
+      <td>Default:&nbsp;&nbsp;30000</td>
+    </tr>
+    <tr>
+      <td>ldapsearchcountlimit</td>
+      <td>The count of return entries allowed for ldap server searches.</td>
+      <td>Default:&nbsp;&nbsp;30000</td>
+    </tr>
+    <tr>
+      <td>onlySecureLDAPConnection</td>
+      <td>When set to true, connects main LDAP server only by SSL</td>
+      <td>Default:&nbsp;&nbsp;false</td>
+    </tr>
+    <tr>
+      <td>onlySecureLDAPReferalsConnection</td>
+      <td>When set to true, connects referal LDAP server only by SSL</td>
+      <td>Default:&nbsp;&nbsp;false</td>
+    </tr>
+    <tr>
+      <td>skinconfigfiles</td>
+      <td>List of skins which have configure files</td>
+      <td>Default:&nbsp;&nbsp;esa,nceas,knb,obfs,nrs,sanparks</td>
+    </tr>
+    <tr>
+      <td>writeDebugToFile</td>
+      <td>Used for writing debug info into a another output file.</td>
+      <td>Default:&nbsp;&nbsp;true</td>
+    </tr>
+    <tr>
+      <td>debugOutputFile</td>
+      <td>Output file name where debug info will be written.</td>
+      <td>Default:&nbsp;&nbsp;/tmp/metacat.debug</td>
+    </tr>
+    <tr>
+      <td>delimiteredOutputFile</td>
+      <td>Delimited text output file name where debug info will be written.</td>
+      <td>Default:&nbsp;&nbsp;/tmp/metacat.debug.delimitered</td>
+    </tr>
+    <tr>
+      <td><em>Metacat Harvester properties</em>:<br/><br/>
+          connectToMetacat, delay, harvesterAdministrator, 
+          logPeriod, maxHarvests, period, smtpServer, GetDocError, GetDocSuccess, GetHarvestListError,
+          GetHarvestListSuccess, HarvesterStartup, HarvesterShutdown, InsertDocError, InsertDocSuccess,
+          MetacatHasDoc, UpdateDocError, UpdateDocSuccess, ValidateDocError, ValidateDocSuccess,
+          ValidateHarvestListError, ValidateHarvestListSuccess</td>
+      <td>See <a href="./harvester.html">Metacat Harvester</a> documentation</td>
+      <td></td>
+    </tr>
+    <tr>
+      <td><em>Spatial properties</em>:<br/><br/>
+              runSpatialOption,
+              regenerateCacheOnRestart,
+              spatialDocnameList,
+              eml_westBoundingCoordinatePath,
+              eml_eastBoundingCoordinatePath,
+              eml_southBoundingCoordinatePath,
+              eml_northBoundingCoordinatePath,
+              fgdc_westBoundingCoordinatePath,
+              fgdc_eastBoundingCoordinatePath,
+              fgdc_southBoundingCoordinatePath,
+              fgdc_northBoundingCoordinatePath,
+              metadata_westBoundingCoordinatePath,
+              metadata_eastBoundingCoordinatePath,
+              metadata_southBoundingCoordinatePath,
+              metadata_northBoundingCoordinatePath,
+              docTitle,
+              metacatUrl,
+              baseUrl
+      </td>
+      <td>See <a href="./spatial_option.html">Metacat Spatial Option</a> documentation</td>
+      <td></td>
+    </tr>
+    <tr>
+      <td>sitemapDirectory</td>
+      <td>The relative directory path in which sitemap files should be written.</td>
+      <td>Default:&nbsp;&nbsp;@install-dir@/sitemaps</td>
+    </tr>
+    <tr>
+      <td>sitemapInterval</td>
+      <td>The time interval (in milliseconds) between rebuilding the sitemap.</td>
+      <td>Default:&nbsp;&nbsp;86400000</td>
+    </tr>
   </table>
   
   <br>
Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 3590)
+++ docs/user/metacatinstall.html	(revision 3591)
@@ -212,43 +212,20 @@
    <a href="@server@/software/download.html">download</a> a gzipped tar file
    from this site.
   </p>
+
+  <p> 
+  <a name="buildProperties" />
+  <h2>Edit <code>build.properties</code> File</h2>
+  </p>
   <p>
-  
-  <h2>Edit <code>build.properties</code> File</h2></p>
-  <p>
    Once you have either checked out or unzipped and untarred the source
    distribution, you can begin the installation process.  Change into the 
    metacat directory and edit the file called "<code>build.properties</code>".  You will need 
    to change a number of configuration properties to match the setup on
-   your system.
+   your system. The property values that you will likely need to change are described in 
+   detail in the following table:
   </p>
-  <p>
-  The properties that you will likely need to change will include:
-  <ul>
-  <li><code>tomcat</code></li>
-  <li><code>deploy.dir</code></li>
-  <li><code>tomcatversion</code></li>
-  <li><code>metacat.context</code></li> 
-  <li><code>config.hostname</code></li>
-  <li><code>config.port</code></li>
-  <li><code>config.port.https</code></li>
-  <li><code>ldapUrl</code></li>
-  <li><code>database</code></li>
-  <li><code>jdbc-connect</code></li>
-  <li><code>jdbc-base</code></li>
-  <li><code>user</code></li>
-  <li><code>password</code></li>
-  <li><code>datafilepath</code></li>
-  <li><code>inlinedatafilepath</code></li>
-  <li><code>default-style</code></li>
-  <li><code>administrators</code></li>
-  <li><code>authority.context</code></li>
-  <li><code>config.lsidauthority</code></li>
-  </ul>
-
-  Each is described in detail in the following table:
-  </p>
-  <br><br>
+  <br/>
   <table border="1">
     <tr>
       <td><b>Property</b></td>
@@ -278,14 +255,26 @@
     </tr>
     <tr>
       <td>tomcatversion</td>
-      <td>The tomcatversion property is the version of tomcat in which you 
+      <td>The tomcatversion property is the version of Tomcat in which you 
           want Metacat to run. This will determine the location of some
-          jar files coming with tomcat.</td>
+          jar files coming with Tomcat. 
+          <p>
+            <em>Note: Tomcat 3 and 4 are no longer tested or supported by Metacat.
+                Users are highly encouraged to upgrade to Tomcat 5.5.
+            </em>
+          </p>
+          <p>
+            <em>Also note: a property value of 'tomcat5' can be set when using
+                either Tomcat 5.0 or Tomcat 5.5.
+            </em>
+          </p>
+      </td>
       <td>Default:&nbsp;&nbsp;
           <code>tomcat5</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>tomcat4</code>
+      <br><br>Other possible values (deprecated):&nbsp;&nbsp;
+          <code>tomcat3 tomcat4</code>
       </td>
+      </td>
     </tr>
     <tr>
       <td>metacat.context</td>
@@ -347,11 +336,19 @@
     <tr>
       <td>database</td>
       <td>Select the database to use for metadata storage.
+          <p>
+          The build file is preconfigured to install Metacat either using 
+          Oracle, PostgreSQL, or Microsoft SQL Server as a backend database.  
+          To change the database system, simply change the value of the 'database' 
+          property to be the name of the database target that you wish to use.
+          </p>
+          <p>
           Valid values are <code>oracle</code>, <code>postgresql</code>, or
           <code>sqlserver</code>. <em>Note that sqlserver support is minimal and
           probably will not work without substantial changes on your part,
           possibly including code changes.  We have not recently tested on 
           sqlserver.</em>
+          </p>
       </td>
       <td>Default:&nbsp;&nbsp;
           <code>postgresql</code>
@@ -364,7 +361,7 @@
       <td>jdbc-connect</td>
       <td>The JDBC connection string used to connect to the database.</td>
       <td>Default:&nbsp;&nbsp;
-          <code>jdbc-connect=jdbc:postgresql://localhost/metacat</code>
+          <code>jdbc:postgresql://localhost/metacat</code>
       <br><br>Example:&nbsp;&nbsp;
           <code>jdbc:oracle:thin:@somehost.university.edu:1521:metacat</code>
       </td>
@@ -448,34 +445,42 @@
         LSID support is an optional feature which can be configured to provide
         metacat access to LSID clients. For more information on LSID's see <a href="http://wiki.gbif.org/guidwiki/wikka.php?wakka=LSID">TDWG
         site</a>.</td>
-      <td>Default: authority</td>
+      <td>Default: <code>authority</code></td>
     </tr>
 	<tr>
       <td>config.lsidauthority</td>
       <td>This is the name of the LSID authority that this metacat should use.
         This authority needs to be defined as SRV record in a DNS.</td>
-      <td><p>Default: ecoinformatics.org</p>
-        <p>Examples: esa.org or sulphur.ecoinformatics.org</p></td>
+      <td><p>Default: <code>ecoinformatics.org</code></p>
+        <p>Examples: <code>esa.org</code> or <code>sulphur.ecoinformatics.org</code></p></td>
     </tr>
+    <tr>
+      <td>install.ecogrid</td>
+      <td>Enables EarthGrid web services. EarthGrid web services are disabled by default. 
+          To enable EarthGrid web services (including query, put, authentication and 
+          identifier interface), set this value to <code>true</code>, and also set the value
+          of the <em>metacat.dir</em> property as detailed below.</td>
+      <td>
+          Default:&nbsp;&nbsp;<code>false</code>
+      </td>
+    </tr>
+    <tr>
+      <td>metacat.dir</td>
+      <td>If the <em>install.ecogrid</em> property (see above) is set to <code>true</code>, this
+          property should be set to the absolute path of the top-level metacat directory.
+          If <em>install.ecogrid</em> is set to <code>false</code> (the default setting), 
+          the value of <em>metacat.dir</em> is ignored.          
+      </td>
+      <td>Default:&nbsp;&nbsp;<code>/home/tao/project/metacat</code></td>
+    </tr>
   </table>
+
   <br>
+
   <p>
-   Note that the build file is preconfigured to install Metacat either using 
-   Oracle, PostgreSQL, or Microsoft SQL Server as a backend database.  
-   To change the database system, simply change the value of the 'database' 
-   property to be the name of the database target that you wish to use 
-   (either 'oracle', 'postgresql', or 'sqlserver').
+  Other properties in <code>build.properties</code> that you can (but generally need not) change:
   </p>
-  <p>
-  If you want to enable EarthGrid web services (including query, put, authentication and identifier interface), you should
-  modify the following two properties:
-  <pre>
-        install.ecogrid=true
-        metacat.dir=your-current-metacat-direcotry
-  </pre>
-  </p>
-  Other properties in <code>build.properties</code> that you can (but generally need not) change:<br />
-  <br>
+
   <table border="1">
     <tr>
       <td><b>Property</b></td>
@@ -488,8 +493,8 @@
           for replicating documents to and from other Metacat servers, which should be with the secure (HTTPS) port.
           Since this property is usually composed of the <code>config.hostname</code> and <code>config.port.https</code> properties (described above),
           the default setting can be used in most cases.
-      <td>Default:&nbsp;&nbsp;<code>${config.hostname}:${config.port.https}</code>
       </td>
+      <td>Default:&nbsp;&nbsp;<code>${config.hostname}:${config.port.https}</code></td>
     </tr>
     <tr>
       <td>httpserver</td>
@@ -500,6 +505,18 @@
       </td>
     </tr>
     <tr>
+      <td>http.protocol</td>
+      <td>http.protocol is the string used in the leading part of a URL to indicate use of the HTTP protocol.</td>
+      <td>Default:&nbsp;&nbsp;<code>http</code>
+      </td>
+    </tr>
+    <tr>
+      <td>config.metacatserver</td>
+      <td>The URL to the metacat server, composed in part from three other properties (http.protocol, httpserver, and metacat.context).</td>
+      <td>Default:&nbsp;&nbsp;<code>${http.protocol}://${httpserver}/${metacat.context}/metacat</code>
+      </td>
+    </tr>
+    <tr>
       <td>inst.cgi.dir</td>
       <td>Installation directory for registry CGI scripts</td>
       <td>Default:&nbsp;&nbsp;
@@ -508,7 +525,7 @@
     </tr>
     <tr>
       <td>cgi-prefix</td>
-      <td>&nbsp;</td>
+      <td>The URL used for executing CGI scripts</td>
       <td>Default:&nbsp;&nbsp;
           <code>http://${httpserver}/cgi-bin</code>
       </td>
@@ -567,6 +584,117 @@
           <code>&nbsp;</code>
       </td>
     </tr>
+    <tr>
+      <td>log.dir</td>
+      <td>The directory where replication log files are to be written by Metacat.</td>
+      <td>Default:&nbsp;&nbsp;<code>${tomcat}/logs</code></td>
+    </tr>
+    <tr>
+      <td>moderators</td>
+      <td>Moderator accounts, in a colon-separated list. Specifies a list of special users who can review a general user's submission. 
+             Moderators can approve, revise and reject the submission after reviewing. This property is only used in the ESA skin.</td>
+      <td>Default:&nbsp;&nbsp;<code>cn=knb-prod,o=NCEAS,dc=ecoinformatics,dc=org</code></td>
+    </tr>
+    <tr>
+      <td>allowedSubmitters</td>
+      <td>Specifies the list of users who should be allowed to submit documents. 
+          If no value is specified (the default setting), all users will be allowed to submit documents.
+      </td>
+      <td>Default:&nbsp;&nbsp;(no value)</td>
+    </tr>
+    <tr>
+      <td>deniedSubmitters</td>
+      <td>Specify the list of users who should not be allowed to submit documents. 
+          If no value is specified (the default setting), all users will be allowed to submit documents.</td>
+      <td>Default:&nbsp;&nbsp;(no value)</td>
+    </tr>
+    <tr>
+      <td>config.metadataLabelLsid</td>
+      <td> </td>
+      <td>Default:&nbsp;&nbsp;<code>${config.lsidauthority}</code></td>
+    </tr>
+    <tr>
+      <td>build.dir</td>
+      <td>The name of the subdirectory that is created when metacat is built by the 'ant' tool.</td>
+      <td>Default:&nbsp;&nbsp;<code>build</code></td>
+    </tr>
+    <tr>
+      <td>lsid.build.dir</td>
+      <td>The name of the subdirectory for building the LSID component of metacat.</td>
+      <td>Default:&nbsp;&nbsp;<code>${build.dir}/lsid</code></td>
+    </tr>
+    <tr>
+      <td>lib.dir</td>
+      <td>The name of the subdirectory where library (.jar) files and a number of other important files are located.</td>
+      <td>Default:&nbsp;&nbsp;<code>lib</code></td>
+    </tr>
+    <tr>
+      <td>lsid.lib.dir</td>
+      <td>The name of the subdirectory where LSID library (.jar) files are located.</td>
+      <td>Default:&nbsp;&nbsp;<code>${lib.dir}/lsid_lib</code></td>
+    </tr>
+    <tr>
+      <td>lsid.classes.dir</td>
+      <td>The relative path to the location of Java classes that support LSID.</td>
+      <td>Default:&nbsp;&nbsp;<code>edu/ucsb/nceas/metacat/lsid</code></td>
+    </tr>
+    <tr>
+      <td>conf.dir</td>
+      <td>The name of the directory where LSID configuration files are located.</td>
+      <td>Default:&nbsp;&nbsp;<code>lib/lsid_conf</code></td>
+    </tr>
+    <tr>
+      <td>services.dir</td>
+      <td>The name of the directory where LSID services configuration files are located.</td>
+      <td>Default:&nbsp;&nbsp;<code>${conf.dir}/services</code></td>
+    </tr>
+    <tr>
+      <td>webinf.dir</td>
+      <td>The name of the directory where additional LSID web services files are located.</td>
+      <td>Default:&nbsp;&nbsp;<code>${conf.dir}/WEB-INF</code></td>
+    </tr>
+    <tr>
+      <td>compile.debug</td>
+      <td>Indicates whether Java source should be compiled with debug information.</td>
+      <td>Default:&nbsp;&nbsp;<code>true</code></td>
+    </tr>
+    <tr>
+      <td>compile.deprecation</td>
+      <td>Indicates whether Java source should be compiled with deprecation information.</td>
+      <td>Default:&nbsp;&nbsp;<code>false</code></td>
+    </tr>
+    <tr>
+      <td>compile.optimize</td>
+      <td>Indicates whether Java source should be compiled with optimization.</td>
+      <td>Default:&nbsp;&nbsp;<code>true</code></td>
+    </tr>
+    <tr>
+      <td>indexPaths</td>
+      <td>The <em>indexPaths</em> property specifies a comma-separated (potentially long) list 
+          of indexed paths that can be utilized to improve the
+          performance of metacat queries. Each component of the <em>indexPaths</em> property
+          should specify an absolute or relative path (using an XPath-like syntax) to an XML element or 
+          attribute present in the XML documents being queried. Metacat stores XML 
+          element and attribute values for indexed paths in a special database table 
+          that optimizes search performance.
+          <p>Metacat queries allow you to specify (using the &lt;pathexpr&gt; tag in search query) 
+          an exact path to which you want
+          to restrict the search. When the &lt;pathexpr&gt; path that is specified in the query
+          is a member of the <em>indexPaths</em> list, search results are returned faster 
+          because metacat can conduct its search using the optimized database table.
+          <p>
+          The default value for the <em>indexPaths</em> property contains numerous paths to EML
+          elements and attributes that are commonly queried by metacat search tools. 
+          For example, <em>keyword</em> is a
+          member of this list because it is common for search tools to query
+          the <em>keyword</em> field in EML documents. For most purposes, the default value will
+          optimize various types of searches on EML documents and need not be changed.
+          <p>
+          For more information about metacat queries, 
+          see <a href="./metacatquery.html">Queries and Results</a>.
+      </td>
+      <td>Default:&nbsp;&nbsp;<code>organizationName,originator/individualName/surName,...</code></td>
+    </tr>
   </table>
   <p>
   Metacat has a number of additional settable properties in file