Index: lib/style/skins/default/default.js
===================================================================
--- lib/style/skins/default/default.js	(revision 3728)
+++ lib/style/skins/default/default.js	(revision 3729)
@@ -82,26 +82,25 @@
 //  exist unless it is resized smaller) . 
 //  ( e.g. if you do not want a header to be included, set: HEADER_URL="";)
 ////////////////////////////////////////////////////////////////////////////////
-var SERVER_URL_WITH_CONTEXT = "http://chico.dyndns.org/knb";
 
 //  Location of the header that will be displayed at the top of the page
 var HEADER_URL 
-  = SERVER_URL_WITH_CONTEXT+"/style/skins/default/include_header.jsp";
+  = "style/skins/default/include_header.jsp";
 
 // Location of the search box that will be displayed above the  
 //  results on the results page (optional)
 var SEARCHBOX_URL 
-  = SERVER_URL_WITH_CONTEXT+"/style/skins/default/include_searchbox.jsp";
+  = "style/skins/default/include_searchbox.jsp";
 
 // Location of the advanced search box
 var ADVANCED_SEARCHBOX_URL 
-  = SERVER_URL_WITH_CONTEXT+"/style/skins/default/include_advancedsearch.jsp";
+  = "style/skins/default/include_advancedsearch.jsp";
 
 var LOGINBOX_URL
-  = SERVER_URL_WITH_CONTEXT+"/style/skins/default/include_login.jsp";
+  = "style/skins/default/include_login.jsp";
 
 var MAP_URL
-  = SERVER_URL_WITH_CONTEXT+"/style/skins/default/include_map.jsp";
+  = "style/skins/default/include_map.jsp";
 
 //  Location of the header that will be displayed at the top of the page
 var LEFTCOL_URL 
Index: lib/style/skins/default/index.jsp
===================================================================
--- lib/style/skins/default/index.jsp	(revision 3728)
+++ lib/style/skins/default/index.jsp	(revision 3729)
@@ -43,23 +43,23 @@
 </head>
 <body>
   <script language="javascript">
-	  insertTemplateOpening();
-	  insertSearchBox();
+	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
   </script>
   <br/>
 
   <% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
   <script language="javascript">
-	  insertMap();
+	  insertMap("<%=SERVER_URL_WITH_CONTEXT%>");
   </script>
   <br/>
   <% } %>
 
   <script language="javascript">
-	  insertLoginBox();
+	  insertLoginBox("<%=SERVER_URL_WITH_CONTEXT%>");
   </script>
   <script language="javascript">
-	  insertTemplateClosing();
+	  insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
   </script>
 </body>
 </html>
Index: lib/style/skins/default/include_header.jsp
===================================================================
--- lib/style/skins/default/include_header.jsp	(revision 3728)
+++ lib/style/skins/default/include_header.jsp	(revision 3729)
@@ -30,10 +30,10 @@
 <head>
   <title>Metacat Data Catalog</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="/knb/style/skins/default/default.css" 
+  <link href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css" 
     rel="stylesheet" type="text/css">
   <script language="javascript" type="text/javascript" 
-    src="<%= relativeRoot %>/default.js"></script>
+    src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js"></script>
   </head>
 
 <body leftmargin="0" topmargin="0" marginwidth="O" marginheight="0">
Index: lib/style/skins/default/include_login.jsp
===================================================================
--- lib/style/skins/default/include_login.jsp	(revision 3728)
+++ lib/style/skins/default/include_login.jsp	(revision 3729)
@@ -35,9 +35,9 @@
 <head>
   <title</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="<%=relativeRoot%>/default.css" rel="stylesheet" type="text/css">
+  <link href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css" rel="stylesheet" type="text/css">
   <script language="javascript" 
-    type="text/javascript" src="<%=relativeRoot%>/default.js">
+    type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js">
   </script>
   <script language="javascript" type="text/javascript">
     var popupMsg = "If you need to create a new account, \n"
@@ -102,12 +102,12 @@
                 <%= loginStatus %>
             </td>
             <td width="10">
-              <img src="./images/transparent1x1.gif" width="10" height="10">
+              <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10" height="10">
             </td>
           </tr>
           <tr> 
             <td width="10">
-              <img src="./images/transparent1x1.gif" width="10" height="10">
+              <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10" height="10">
             </td>
             <td> 
               <form name="loginform" method="post" action="index.jsp" 
@@ -126,7 +126,7 @@
                       value="<%=typedUserName%>" <%=loginEnabledDisabled%>>
                   </td>
                   <td width="10px">
-                    <img src="./images/transparent1x1.gif" width="10">
+                    <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10">
                   </td>
                   <td align="left" class="text_plain">
                     <a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi" target="_top">
@@ -152,7 +152,7 @@
                     </select>
                   </td>
                   <td width="10px">
-                    <img src="./images/transparent1x1.gif" width="10" >
+                    <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10" >
                   </td>
                   <td align="left" class="text_plain">
                     <a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=resetpass" target="_top">forgot your password?</a>
@@ -169,7 +169,7 @@
                     <%=loginEnabledDisabled%>>
                   </td>
                   <td width="10px">
-                    <img src="./images/transparent1x1.gif" width="10">
+                    <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10">
                   </td>
                   <td align="left" class="text_plain">
                     <a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=changepass" target="_top">change your password</a> 
@@ -182,10 +182,10 @@
                   </td>
                   </td>
                   <td width="10">
-                    <img src="./images/transparent1x1.gif" width="10">
+                    <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10">
                   </td>
                   <td>
-                    <img src="./images/transparent1x1.gif" width="10">
+                    <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/transparent1x1.gif" width="10">
                   </td>
                 </tr>
                 <tr>
Index: lib/style/skins/default/index_advanced.jsp
===================================================================
--- lib/style/skins/default/index_advanced.jsp	(revision 3728)
+++ lib/style/skins/default/index_advanced.jsp	(revision 3729)
@@ -38,16 +38,16 @@
 <head>
 <title>Metacat Data Catalog </title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-	<link rel="stylesheet" type="text/css" href="./default.css">
-	<script language="javascript" type="text/javascript" src="./default.js"></script>
-	<script language="javascript" type="text/javascript" src="../../common/branding.js"></script>
+	<link rel="stylesheet" type="text/css" href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css">
+	<script language="javascript" type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js"></script>
+	<script language="javascript" type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/common/branding.js"></script>
 </head>
 
 <body>
   <script language="javascript">
-	  insertTemplateOpening();
-	  insertAdvancedSearchBox();
-      insertTemplateClosing();
+	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertAdvancedSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+      insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
   </script>
 </body>
 
Index: lib/style/skins/default/include_advancedsearch.jsp
===================================================================
--- lib/style/skins/default/include_advancedsearch.jsp	(revision 3728)
+++ lib/style/skins/default/include_advancedsearch.jsp	(revision 3729)
@@ -35,10 +35,10 @@
 <head>
   <title>Metacat Data Catalog Advanced Search Page</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="./default.css" rel="stylesheet" type="text/css">
+  <link href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css" rel="stylesheet" type="text/css">
 
   <script language="javascript" 
-    type="text/javascript" src="./default.js">
+    type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js">
   </script>
 
   <script language="javascript" type="text/javascript">
@@ -100,7 +100,7 @@
   <table width="750px" align="center" cellspacing="0" cellpadding="0">
     <tr> 
       <td width="10" align="right" valign="top">
-        <img src="./images/panelhead_bg_lcorner.gif" 
+        <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/panelhead_bg_lcorner.gif" 
           width="10" height="21">
       </td>
       <td class="sectionheader">
@@ -107,7 +107,7 @@
         advanced search 
       </td>
       <td width="10" align="left" valign="top"> 
-        <img src="./images/panelhead_bg_rcorner.gif" 
+        <img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/images/panelhead_bg_rcorner.gif" 
           width="10" height="21">
       </td>
     </tr>
@@ -122,7 +122,7 @@
             <td colspan="2">
     <form name="advancedSearchForm"
           method="POST"
-          action="advancedsearchforward.jsp"
+          action="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/advancedsearchforward.jsp"
           onsubmit="return submitRequest(this)"
           target="_top">
       <table width="100%" border="0" cellpadding="0" cellspacing="0" >
Index: lib/style/skins/default/include_map.jsp
===================================================================
--- lib/style/skins/default/include_map.jsp	(revision 3728)
+++ lib/style/skins/default/include_map.jsp	(revision 3729)
@@ -35,10 +35,10 @@
 <head>
   <title>Metacat Data Catalog Map</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="<%=relativeRoot%>/default.css" rel="stylesheet" type="text/css">
+  <link href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css" rel="stylesheet" type="text/css">
 
   <script language="javascript" 
-    type="text/javascript" src="<%=relativeRoot%>/default.js">
+    type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js">
   </script>
 </head>
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
@@ -53,7 +53,7 @@
       <td colspan="3">
         <table width="100%" cellspacing="0" cellpadding="0" border="0" class="subpanel">
           <tr><td> 
-           <iframe scrolling="no" frameborder="0" width="750" height="520" src="<%=relativeRoot%>/../../common/spatial_templates/spatial1/map.html"> You need iframe support </iframe>
+           <iframe scrolling="no" frameborder="0" width="750" height="520" src="<%=SERVER_URL_WITH_CONTEXT%>/style/common/spatial_templates/spatial1/map.html"> You need iframe support </iframe>
           </td></tr>
          </table>
       </td>
Index: lib/style/skins/default/include_searchbox.jsp
===================================================================
--- lib/style/skins/default/include_searchbox.jsp	(revision 3728)
+++ lib/style/skins/default/include_searchbox.jsp	(revision 3729)
@@ -37,9 +37,9 @@
 <head>
   <title>Metacat Data Catalog Search Page</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="<%=relativeRoot%>/default.css" rel="stylesheet" type="text/css">
+  <link href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.css" rel="stylesheet" type="text/css">
   <script language="javascript" 
-    type="text/javascript" src="<%=relativeRoot%>/default.js">
+    type="text/javascript" src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/default.js">
   </script>
   <script language="javascript" type="text/javascript">
     function trim(stringToTrim) {
@@ -181,7 +181,7 @@
                     <td colspan="2" valign="middle" class="text_example">
                       <p> 
                         <%= loginStatus %> &nbsp;
-                        (<a href="<%=relativeRoot%>/index.jsp#loginanchor" 
+                        (<a href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/index.jsp#loginanchor" 
                           target="_top"><%=loginButtonLabel%></a>).&nbsp; 
                         You may search the data catalog without being logged 
                         into your account, but will have access only to 
@@ -205,7 +205,7 @@
                       &nbsp;&nbsp;&nbsp;
                       
                       <a target="_top" 
-                        href="<%=relativeRoot%>/index_advanced.jsp"> 
+                        href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/default/index_advanced.jsp"> 
                           &raquo;&nbsp;advanced&nbsp;search&nbsp;&laquo;</a>
                       
                     </td>