Index: lib/style/skins/nceas/search.js
===================================================================
--- lib/style/skins/nceas/search.js	(revision 3741)
+++ lib/style/skins/nceas/search.js	(revision 3742)
@@ -23,6 +23,7 @@
             +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN</returndoctype>"
             +"<returndoctype>-//NCEAS//resource//EN</returndoctype>"
             +"<returndoctype>-//NCEAS//eml-dataset//EN</returndoctype>"
+            +"<returndoctype>metadata</returndoctype>"
             +"<returnfield>originator/individualName/surName</returnfield>"
             +"<returnfield>originator/individualName/givenName</returnfield>"
             +"<returnfield>creator/individualName/surName</returnfield>"
@@ -31,11 +32,21 @@
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            //fgdc fields
+            +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
+            +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
+			+"<returnfield>idinfo/keywords/theme/themekey</returnfield>"
             +"<querygroup operator=\"INTERSECT\">"
-                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
-                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
-                    +"<pathexpr>organizationName</pathexpr>"
-                +"</queryterm>"
+            	+"<querygroup operator=\"UNION\">"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
+	                    +"<pathexpr>organizationName</pathexpr>"
+	                +"</queryterm>"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>%</value>"
+	                    +"<pathexpr>placekey</pathexpr>"
+	                +"</queryterm>"
+                +"</querygroup>"
                 +"<querygroup operator=\"UNION\">"
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         +"<value>" + searchString + "</value>"
@@ -92,6 +103,7 @@
             +"<returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN</returndoctype>"
             +"<returndoctype>-//NCEAS//resource//EN</returndoctype>"
             +"<returndoctype>-//NCEAS//eml-dataset//EN</returndoctype>"
+            +"<returndoctype>metadata</returndoctype>"
             +"<returnfield>originator/individualName/surName</returnfield>"
             +"<returnfield>originator/individualName/givenName</returnfield>"
             +"<returnfield>creator/individualName/surName</returnfield>"
@@ -100,11 +112,21 @@
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            //fgdc fields
+            +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
+            +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
+			+"<returnfield>idinfo/keywords/theme/themekey</returnfield>"
             +"<querygroup operator=\"INTERSECT\">"
-                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
-                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
-                    +"<pathexpr>organizationName</pathexpr>"
-                +"</queryterm>"
+                +"<querygroup operator=\"UNION\">"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>National Center for Ecological Analysis and Synthesis</value>"
+	                    +"<pathexpr>organizationName</pathexpr>"
+	                +"</queryterm>"
+	                +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>%</value>"
+	                    +"<pathexpr>placekey</pathexpr>"
+	                +"</queryterm>"
+                +"</querygroup>"
                 + queryTermString
             +"</querygroup>"
             +"</pathquery>";
@@ -113,6 +135,18 @@
     return true;
 }
 
+function browseAll(searchFormId) {
+	var searchForm = document.getElementById(searchFormId);
+	var searchString = searchForm.searchstring;
+    var checkBox = document.getElementById("searchAll");
+    searchString.value="";
+    checkBox.checked = true;
+    if (checkSearch(searchForm)) {
+		searchForm.submit();
+	}
+
+}
+
 function searchAll(){
     var checkBox = document.getElementById("searchCheckBox");
     if (checkBox.checked == true) {
Index: lib/style/skins/nceas/index.jsp
===================================================================
--- lib/style/skins/nceas/index.jsp	(revision 3741)
+++ lib/style/skins/nceas/index.jsp	(revision 3742)
@@ -79,7 +79,11 @@
   <tr class="sectbody"></tr>
  
   <tr >
-    <td align="left"><form method="POST" action="<%=METACAT_URL%>" target="_top" onSubmit="return checkSearch(this)">
+    <td align="left">
+    <form method="POST" 
+    	action="<%=METACAT_URL%>" target="_top"
+    	id="searchForm" name="searchForm" 
+    	onSubmit="return checkSearch(this)">
         <div class="searchresultsdividerPale">
         <p>
         <input value="UNION" name="operator" type="hidden">
@@ -106,7 +110,8 @@
       </div></td>
   </tr>
   <tr >
-    <td class="borderbottom"><div align="center"><a href="<%=METACAT_URL%>?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&amp;qformat=nceas&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NCEAS data sets</a>
+    <td class="borderbottom"><div align="center">
+    	<a href="javascript:browseAll('searchForm')">Browse existing NCEAS data sets</a>
 <br/><br/>
 <a href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/map.jsp"> View Interactive Map </a> </div>
 </td></tr></table>
Index: lib/style/skins/nceas/nceas.xml
===================================================================
--- lib/style/skins/nceas/nceas.xml	(revision 3741)
+++ lib/style/skins/nceas/nceas.xml	(revision 3742)
@@ -6,6 +6,12 @@
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">style/skins/nceas/nceas.xsl</target>
   </doctype>
+  
+  <!-- NBII/FGDC styles -->
+  <doctype publicid="metadata">
+  	<target publicid="-//W3C//HTML//EN">@systemidserver@@style-skins-path@/nceas/nceas.xsl</target>
+    <!-- <target publicid="-//W3C//HTML//EN">style/common/fgdc/fgdc_1.xsl</target>-->
+  </doctype>
 
 <!--
     ARE THESE STILL NEEDED????????????
Index: lib/style/skins/nceas/nceas.xsl
===================================================================
--- lib/style/skins/nceas/nceas.xsl	(revision 3741)
+++ lib/style/skins/nceas/nceas.xsl	(revision 3742)
@@ -33,6 +33,7 @@
 	            version="1.0">
     <xsl:import href="../../common/resultset-table.xsl"/>
     <xsl:import href="../../common/eml-2.0.1/emlroot.xsl"/>
+    <xsl:import href="../../common/fgdc/fgdc-root.xsl"/>
 
 	<xsl:output method="html" />
 	<xsl:param name="sessid" />
@@ -61,6 +62,10 @@
                             <xsl:call-template name="resultstable"/>
                         </xsl:if>
                         
+                        <xsl:if test="*[local-name()='metadata']">     	
+                            <xsl:call-template name="metadata"/>
+                        </xsl:if>
+                        
 						<xsl:call-template name="bodyfooter"/>
 						
 					</div><!-- id="content_wrapper"-->
Index: lib/style/common/fgdc/fgdc-root.xsl
===================================================================
--- lib/style/common/fgdc/fgdc-root.xsl	(nonexistent)
+++ lib/style/common/fgdc/fgdc-root.xsl	(revision 3742)
@@ -0,0 +1,425 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+    <xsl:output indent="yes" method="html"/>
+    <xsl:param name="docid"/>
+    <xsl:param name="sessionid"/>
+    <xsl:param name="qformat"/>
+    <xsl:param name="publicRead"/>
+    <xsl:param name="message"/>
+    <xsl:param name="readonly">true</xsl:param>
+    
+    <xsl:template name="metadata">
+            <body>
+                <div class="centerContentBorder">
+                    <div class="templatecontentareaclass">
+                        <xsl:apply-templates select="metadata/idinfo"/>
+                        <xsl:apply-templates
+                            select="metadata/distinfo/resdesc[text()=$docid]/ancestor::distinfo"/>
+                    </div>
+                </div>
+            </body>
+    </xsl:template>
+    
+    <xsl:template match="idinfo">
+        <table border="0" cellspacing="10">
+            <tr>
+                <td colspan="2" align="center">
+                    <xsl:value-of select="$message"/>
+                </td>
+            </tr>
+            <tr>
+                <td colspan="2" align="center">
+                    <h2>FGDC Identification Information</h2>
+                </td>
+            </tr>
+            <xsl:apply-templates select="citation"/>
+            <xsl:apply-templates select="descript"/>
+            <xsl:apply-templates select="spdom"/>
+            <xsl:apply-templates select="keywords"/>
+        </table>
+    </xsl:template>
+    
+    <xsl:template match="citation">
+        <xsl:apply-templates select="citeinfo"/>
+    </xsl:template>
+    
+    <xsl:template match="citeinfo">
+        <tr>
+            <td colspan="2" class="tablehead">Citation Information</td>
+        </tr>
+        
+        <tr>
+            <xsl:apply-templates select="title"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="origin"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="pubdate"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="edition"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="geoform"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="pubinfo"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="othercit"/>
+        </tr>
+    </xsl:template>
+    
+    <xsl:template match="descript">
+        <tr>
+            <td colspan="2" class="tablehead">
+                Description
+            </td>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="abstract"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="purpose"/>
+        </tr>
+    </xsl:template>
+    
+    <xsl:template match="spdom">
+        <tr>
+            <xsl:apply-templates select="bounding"/>
+        </tr>
+    </xsl:template>
+    
+    <xsl:template match="keywords">
+        <tr>
+            <xsl:apply-templates select="theme"/>
+        </tr>
+        <tr>
+            <xsl:apply-templates select="place"/>
+        </tr>
+    </xsl:template>
+    
+    <xsl:template match="theme">
+        <td class="highlight" valign="top">Theme Keywords</td>
+        <td class="secondCol">
+            <xsl:apply-templates select="themekey[position()!=last()]">
+                <xsl:with-param name="lastPlace">f</xsl:with-param>
+            </xsl:apply-templates>
+            <xsl:apply-templates select="themekey[position()=last()]">
+                <xsl:with-param name="lastPlace">t</xsl:with-param>
+            </xsl:apply-templates>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="place">
+        <td class="highlight" valign="top">Place Keywords</td>
+        <td class="secondCol">
+            <xsl:apply-templates select="placekey[position()!=last()]">
+                <xsl:with-param name="lastPlace">f</xsl:with-param>
+            </xsl:apply-templates>
+            <xsl:apply-templates select="placekey[position()=last()]">
+                <xsl:with-param name="lastPlace">t</xsl:with-param>
+            </xsl:apply-templates>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="themekey">
+        <xsl:param name="lastPlace"/>
+        <xsl:value-of select="."/>
+        <xsl:if test="$lastPlace = 'f'">, </xsl:if>
+    </xsl:template>
+    
+    <xsl:template match="placekey">
+        <xsl:param name="lastPlace"/>
+        <xsl:value-of select="."/>
+        <xsl:if test="$lastPlace = 'f'">, </xsl:if>
+    </xsl:template>
+    
+    <xsl:template match="bounding">
+        <td class="highlight" valign="top">Bounding Coordinates</td>
+        <td class="secondCol">
+            <table>
+                <tr>
+                    <td class="highlight" align="right">West</td>
+                    <td class="secondCol">
+                        <xsl:value-of select="westbc"/>
+                    </td>
+                    <td class="highlight" align="right">East</td>
+                    <td class="secondCol">
+                        <xsl:value-of select="eastbc"/>
+                    </td>
+                </tr>
+                <tr>
+                    <td class="highlight" align="right">North</td>
+                    <td class="secondCol">
+                        <xsl:value-of select="northbc"/>
+                    </td>
+                    <td class="highlight" align="right">South</td>
+                    <td class="secondCol">
+                        <xsl:value-of select="southbc"/>
+                    </td>
+                </tr>
+            </table>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="abstract">
+        <td class="highlight" valign="top">Abstract</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="purpose">
+        <td class="highlight" valign="top">Purpose</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="title">
+        <td class="highlight">Title</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="origin">
+        <td class="highlight">Originator </td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="pubdate">
+        <td class="highlight">Publication Date</td>
+        <td class="secondCol">
+            <xsl:call-template name="long_date">
+                <xsl:with-param name="date">
+                    <xsl:value-of select="."/>
+                </xsl:with-param>
+            </xsl:call-template>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="edition">
+        <td class="highlight">Edition</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="geoform">
+        <td class="highlight" valign="top">Geospatial Data Presentation Form</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="othercit">
+        <td class="highlight" valign="top">Other Citation Details</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="pubinfo">
+        <td class="highlight" valign="top">Publication Information </td>
+        <td class="secondCol">
+            <table>
+                <tr>
+                    <xsl:apply-templates select="pubplace"/>
+                </tr>
+                <tr>
+                    <xsl:apply-templates select="publish"/>
+                </tr>
+            </table>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="pubplace">
+        <td class="highlight">Publication Place</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="publish">
+        <td class="highlight">Publisher</td>
+        <td class="secondCol">
+            <xsl:value-of select="."/>
+        </td>
+    </xsl:template>
+    
+    <xsl:template match="distinfo">
+        <table width="100%" border="0" cellspacing="10">
+            <tr>
+                <td colspan="5" align="center">
+                    <h2>Data Package Information</h2>
+                </td>
+            </tr>
+            <tr>
+                <td class="tablehead">
+                    File type
+                </td>
+                <td class="tablehead" colspan="2">
+                    File name (Doc Id)
+                </td>
+                <xsl:if test="$readonly = 'false'">
+                    <td align="left" colspan="2" class="tablehead">
+                        Actions...
+                    </td>
+                </xsl:if>
+            </tr>
+            <tr>
+                <xsl:apply-templates select="resdesc"/>
+            </tr>
+            <xsl:apply-templates select="stdorder/digform/digtopt/onlinopt/computer/networka"/>
+        </table>
+    </xsl:template>
+    
+    <xsl:template match="resdesc">
+        <td class="highlight" align="left" valign="top">Metadata</td>
+        <td class="secondCol" align="left" valign="top">
+        	<xsl:value-of select="../custom"/> (<xsl:value-of select="."/>)
+        	
+        	<!-- update -->
+		<xsl:if test="$readonly = 'false'">
+			<br/>
+			<br/>
+			<form method="post" action="./style/common/ClientViewHelper.jspx"
+                     enctype="multipart/form-data">
+                   <input name="action" value="Update Metadata" type="hidden"/>
+                   <input name="docid" type="hidden" value="{.}"/>
+                   <input name="qformat" type="hidden" value="{$qformat}"/>
+                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+                   <input name="updateFile" type="file"/>
+                   <input name="submit" value="Update" type="submit"/>
+               </form>
+		</xsl:if>
+		
+       </td>
+       <!-- download -->
+       <td class="secondCol" valign="bottom">
+           <form method="get" action="./style/common/ClientViewHelper.jspx">
+               <input name="action" value="Download" type="submit"/>
+               <input name="docid" type="hidden" value="{.}"/>
+               <input name="qformat" type="hidden" value="{$qformat}"/>
+               <input name="metadataDocId" type="hidden" value="{$docid}"/>
+           </form>
+       </td>
+       
+       <xsl:if test="$readonly = 'false'">
+       	<!-- delete -->
+       	<td class="secondCol" valign="bottom">
+           	<form method="get" action="./style/common/ClientViewHelper.jspx"
+                     enctype="text/html">
+                   <input name="action" value="Delete" type="submit"/>
+                   <input name="docid" type="hidden" value="{.}"/>
+                   <input name="qformat" type="hidden" value="{$qformat}"/>
+                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+               </form>
+           </td>
+           <!-- set access -->
+       	<td class="secondCol" valign="bottom">
+			<form method="get" action="./style/common/ClientViewHelper.jspx">
+                   <input name="action" value="Set Access" type="submit"/>
+                   <xsl:choose>
+                       <xsl:when test="$publicRead = 'true'">
+                           <input name="publicAccess" type="checkbox" checked=''/> Public read     
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <input name="publicAccess" type="checkbox"/> Public read                         
+                       </xsl:otherwise>
+                   </xsl:choose>
+                   <input name="docid" type="hidden" value="{.}"/>
+                   <input name="qformat" type="hidden" value="{$qformat}"/>
+                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+                   <input name="contentStandard" type="hidden" value="FGDC"/>
+			</form>
+		</td>
+	</xsl:if>
+   </xsl:template>
+   
+   <xsl:template match="networka">
+       <tr>
+           <xsl:apply-templates select="networkr"/>
+       </tr>
+   </xsl:template>
+   
+   <xsl:template match="networkr">
+	<xsl:if test="not(./ancestor::digform/digtinfo/formcont = '')">
+       <td class="highlight" align="left" valign="top">Data</td>
+       <td class="secondCol" align="left" valign="top">
+           <xsl:value-of select="./ancestor::digform/digtinfo/formcont"/> (<xsl:value-of select="."/>)
+       	<!-- update -->
+		<xsl:if test="$readonly = 'false'">
+			<br/>
+			<br/>
+               <form method="post" action="./style/common/ClientViewHelper.jspx"
+                     enctype="multipart/form-data">
+                   <input name="action" value="Update Data" type="hidden"/>
+                   <input name="docid" type="hidden" value="{.}"/>
+                   <input name="qformat" type="hidden" value="{$qformat}"/>
+                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+                   <input name="updateFile" type="file"/>
+                   <input name="submit" value="Update" type="submit"/>                    
+               </form>
+		</xsl:if>                        
+       </td>
+       <!-- download -->
+       <td class="secondCol" valign="bottom">
+           <form method="get" action="./style/common/ClientViewHelper.jspx" enctype="application/octet-stream">
+               <input name="action" value="Download" type="submit"/>
+               <input name="docid" type="hidden" value="{.}"/>
+               <input name="qformat" type="hidden" value="{$qformat}"/>
+               <input name="metadataDocId" type="hidden" value="{$docid}"/>
+           </form>
+       </td>
+       <xsl:if test="$readonly = 'false'">
+       	<!-- delete -->
+       	<td class="secondCol" valign="bottom">
+       		<form method="get" action="./style/common/ClientViewHelper.jspx"
+                     enctype="text/html">
+                   <input name="action" value="Delete" type="submit"/>
+                   <input name="docid" type="hidden" value="{.}"/>
+                   <input name="qformat" type="hidden" value="{$qformat}"/>
+                   <input name="metadataDocId" type="hidden" value="{$docid}"/>
+               </form>
+       	</td>
+       	<!-- set access -->
+       	<td class="secondCol" valign="bottom"></td>
+       	
+		</xsl:if>
+	</xsl:if>
+   </xsl:template>
+   
+   <xsl:template name="long_date">
+       <xsl:param name="date"/>
+       <!-- Day -->
+       <xsl:value-of select="number(substring($date, 7, 2))"/>
+       <xsl:text> </xsl:text>
+       <!-- Month -->
+       <xsl:variable name="month" select="number(substring($date, 5, 2))"/>
+       <xsl:choose>
+           <xsl:when test="$month=1">January</xsl:when>
+           <xsl:when test="$month=2">February</xsl:when>
+           <xsl:when test="$month=3">March</xsl:when>
+           <xsl:when test="$month=4">April</xsl:when>
+           <xsl:when test="$month=5">May</xsl:when>
+           <xsl:when test="$month=6">June</xsl:when>
+           <xsl:when test="$month=7">July</xsl:when>
+           <xsl:when test="$month=8">August</xsl:when>
+           <xsl:when test="$month=9">September</xsl:when>
+           <xsl:when test="$month=10">October</xsl:when>
+           <xsl:when test="$month=11">November</xsl:when>
+           <xsl:when test="$month=12">December</xsl:when>
+           <xsl:otherwise>INVALID MONTH</xsl:otherwise>
+       </xsl:choose>
+       <xsl:text> </xsl:text>
+       <!-- Year -->
+        <xsl:value-of select="substring($date, 1, 4)"/>
+    </xsl:template>
+    
+</xsl:stylesheet>

Property changes on: lib/style/common/fgdc/fgdc-root.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property