Index: lib/style/skins/sanparks/sanparks.xml
===================================================================
--- lib/style/skins/sanparks/sanparks.xml	(revision 3880)
+++ lib/style/skins/sanparks/sanparks.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="sanparks">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/sanparks/sanparks.xsl</target> -->
Index: lib/style/skins/kepler/kepler.xml
===================================================================
--- lib/style/skins/kepler/kepler.xml	(revision 3880)
+++ lib/style/skins/kepler/kepler.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="knp">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/kepler/resultset.xsl</target>
Index: lib/style/skins/default/default.xml
===================================================================
--- lib/style/skins/default/default.xml	(revision 3880)
+++ lib/style/skins/default/default.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="default">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/ltss/ltss.xml
===================================================================
--- lib/style/skins/ltss/ltss.xml	(revision 3880)
+++ lib/style/skins/ltss/ltss.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="ltss">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/knp/knp.xml
===================================================================
--- lib/style/skins/knp/knp.xml	(revision 3880)
+++ lib/style/skins/knp/knp.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="knp">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/obfs/obfs.xml
===================================================================
--- lib/style/skins/obfs/obfs.xml	(revision 3880)
+++ lib/style/skins/obfs/obfs.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="obfs">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/nceas/nceas.xml
===================================================================
--- lib/style/skins/nceas/nceas.xml	(revision 3880)
+++ lib/style/skins/nceas/nceas.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="obfs">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/nceas/nceas.xsl</target>
Index: lib/style/skins/specnet/specnet.xml
===================================================================
--- lib/style/skins/specnet/specnet.xml	(revision 3880)
+++ lib/style/skins/specnet/specnet.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="specnet">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/nrs/nrs.xml
===================================================================
--- lib/style/skins/nrs/nrs.xml	(revision 3880)
+++ lib/style/skins/nrs/nrs.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="nrs">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/saeon/saeon.xml
===================================================================
--- lib/style/skins/saeon/saeon.xml	(revision 3880)
+++ lib/style/skins/saeon/saeon.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="knp">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/lter/lter.xml
===================================================================
--- lib/style/skins/lter/lter.xml	(revision 3880)
+++ lib/style/skins/lter/lter.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="lter">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
Index: lib/style/skins/esa/esa.xml
===================================================================
--- lib/style/skins/esa/esa.xml	(revision 3880)
+++ lib/style/skins/esa/esa.xml	(revision 3881)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <style-set name="esa">
 <!-- general login & search -->
-  <default-style>style/common/ascii-treeview.xsl</default-style>
+  <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/esa/esa-resultset.xsl</target>