Index: lib/style/skins/sms/resultset.xsl
===================================================================
--- lib/style/skins/sms/resultset.xsl	(nonexistent)
+++ lib/style/skins/sms/resultset.xsl	(revision 4005)
@@ -0,0 +1,68 @@
+<?xml version="1.0"?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+  <xsl:template match="/">
+    <table>
+      <xsl:apply-templates select="//document"/>
+    </table>
+    <div class="resultnavbar">
+      <!--previous-->
+      <xsl:choose>
+        <xsl:when test="//pagestart = 0">
+          &lt;
+        </xsl:when>
+        <xsl:otherwise>
+          <a>
+            <xsl:attribute name="href">
+              javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//previouspage"/>');
+            </xsl:attribute>
+            &lt;
+          </a>
+        </xsl:otherwise>
+      </xsl:choose>
+      
+      <!--current page of num pages-->
+      <!--next-->
+      <xsl:choose>
+        <xsl:when test="//lastpage = 'true'">
+          &gt;
+        </xsl:when>
+        <xsl:otherwise>
+          <a>
+          <xsl:attribute name="href">
+            javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//nextpage"/>');
+          </xsl:attribute>
+          &gt;
+          </a>
+        </xsl:otherwise>
+      </xsl:choose>
+    </div>
+  </xsl:template>
+  
+  <xsl:template match="document">
+    <tr>
+      <td>
+        <a>
+        <xsl:attribute name="href">
+          /sms/metacat?action=read&amp;qformat=sms&amp;docid=<xsl:value-of select="docid"/>
+        </xsl:attribute>
+        <xsl:value-of select="docid"/>
+        </a>
+      </td>
+      <td>
+        <xsl:choose>
+        <xsl:when test="doctype='eml://ecoinformatics.org/eml-2.0.1'">
+          EML 2.0.1 Document
+        </xsl:when>
+        <xsl:otherwise>
+          Unknown Document Type
+        </xsl:otherwise>
+        </xsl:choose>
+      </td>
+    </tr>
+  </xsl:template>
+  
+  
+  
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/sms/resultset.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/sms/sms.xml
===================================================================
--- lib/style/skins/sms/sms.xml	(revision 4004)
+++ lib/style/skins/sms/sms.xml	(revision 4005)
@@ -8,7 +8,7 @@
   </doctype>
 
   <doctype publicid="-//NCEAS//resultset//EN">
-    <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
+    <target publicid="-//W3C//HTML//EN">/style/skins/sms/resultset.xsl</target>
   </doctype>
 
 <!-- added back login authentication for the registry workflow -->
Index: lib/style/skins/sms/index.jsp
===================================================================
--- lib/style/skins/sms/index.jsp	(revision 4004)
+++ lib/style/skins/sms/index.jsp	(revision 4005)
@@ -24,10 +24,10 @@
       <h1 style="text-align:center">SEEK Semantic Mediation Tools</h1>
     </div>
     <div style="width: 650px; border: 5px; margin: 0px auto; background: grey">
-      <div id="loginheaderdiv">
+      <div id="loginheaderdiv" style="padding: 3px;">
         <h2 style="text-align:center" id="loginheader">Please Login</h2>
       </div>
-      <div id="loginformdiv">
+      <div id="loginformdiv" style="padding:20px;">
       <form action="metacat" name="loginform" method="POST">
         <div style="width:300px; margin:0px auto; height: 150px;">
         <table>
@@ -49,7 +49,7 @@
       </div>
       </div>
       
-      <div id="maindiv" style="display:none; width:625px; margin:0px auto;">
+      <div id="maindiv" style="display:none; width:625px; margin:0px auto; padding: 10px;">
       <table style="width:625px">
         <tr valign="top">
           <td width="312px">
@@ -98,8 +98,15 @@
           </td>
         </tr>
       </table>
+      
+      <div id="searchresultdiv" style="border: 1px solid; padding: 10px; width: 600px;">
+        <div id="searchresulttable">
+        
+        </div>
       </div>
       
+      </div>
+      
     </div>
   </div>
   <img id="bottomimg" src="style/skins/sms/sms-page-bottom.png" style="position:relative; bottom: 0px;"/>
Index: lib/style/skins/sms/util.js
===================================================================
--- lib/style/skins/sms/util.js	(revision 4004)
+++ lib/style/skins/sms/util.js	(revision 4005)
@@ -100,6 +100,7 @@
   if(getCookie("sms-login") == "true")
   {
     setLoginHeader(true);
+    showDatasets();
   }
   else
   {
@@ -107,6 +108,16 @@
   }
 }
 
+function showDatasets()
+{
+  reloadSearchContent('/sms/metacat?action=query&anytext=%25&qformat=sms&pagesize=10&pagestart=0');
+}
+
+function reloadSearchContent(url)
+{
+  $("#searchresulttable").load(url);
+}
+
 function uploadfile()
 {
   if(getCookie("sms-login") != "true")
@@ -114,14 +125,6 @@
     alert('You cannot upload.  You are not logged in.');
     return;
   }
-  
-  /*$.post("metacat", $("form").serialize(), 
-    function(data)
-    {
-      alert($("form").serialize());
-      alert(data);
-    }, 
-    "XML");*/
   $("form").submit();
 }
 