Index: lib/style/skins/sms/resultset.xsl
===================================================================
--- lib/style/skins/sms/resultset.xsl	(revision 4013)
+++ lib/style/skins/sms/resultset.xsl	(revision 4014)
@@ -2,9 +2,24 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
   <xsl:template match="/">
-    <table>
+    <table width="100%">
+      <tr>
+        <th>
+          Document ID
+        </th>
+        <th>
+          &#160;
+        </th>
+        <th>
+          Title
+        </th>
+        <th>
+          Document Type
+        </th>
+      </tr>
       <xsl:apply-templates select="//document"/>
     </table>
+    
     <!-- page navigation-->
     <div class="resultnavbar">
       <!--previous-->
@@ -15,7 +30,7 @@
         <xsl:otherwise>
           <a>
             <xsl:attribute name="href">
-              javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//previouspage"/>');
+              javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;returnfield=dataset/title&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//previouspage"/>');
             </xsl:attribute>
               &#8592; previous
           </a>
@@ -32,7 +47,7 @@
         <xsl:otherwise>
           <a>
           <xsl:attribute name="href">
-            javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//nextpage"/>');
+            javascript:reloadSearchContent('/sms/metacat?action=query&amp;anytext=%25&amp;qformat=sms&amp;returnfield=dataset/title&amp;pagesize=10&amp;pagestart=<xsl:value-of select="//nextpage"/>');
           </xsl:attribute>
             next &#8594;
           </a>
@@ -45,7 +60,7 @@
   <xsl:template match="document">
     <tr>
       <td>
-        <a>
+        <a><!--docid-->
         <xsl:attribute name="href">
           /sms/metacat?action=read&amp;qformat=sms&amp;docid=<xsl:value-of select="docid"/>
         </xsl:attribute>
@@ -52,8 +67,26 @@
         <xsl:value-of select="docid"/>
         </a>
       </td>
-      <td>
+      <td><!--xml link-->
+        <a>
+          <xsl:attribute name="href">
+            /sms/metacat?action=read&amp;qformat=xml&amp;docid=<xsl:value-of select="docid"/>
+          </xsl:attribute>
+          <img width="25px" src="style/skins/sms/xml-button.png"/>
+        </a>
+      </td>
+      <td> <!--title of the doc if it's eml-->
         <xsl:choose>
+          <xsl:when test="param[@name='dataset/title'] != ''">
+            <xsl:value-of select="param[@name='dataset/title']"/>
+          </xsl:when>
+          <xsl:otherwise>
+            No Title
+          </xsl:otherwise>
+        </xsl:choose>
+      </td>
+      <td><!--doc type-->
+        <xsl:choose>
         <xsl:when test="doctype='eml://ecoinformatics.org/eml-2.0.1'">
           EML 2.0.1 Document
         </xsl:when>
Index: lib/style/skins/sms/rdf.xsl
===================================================================
--- lib/style/skins/sms/rdf.xsl	(nonexistent)
+++ lib/style/skins/sms/rdf.xsl	(revision 4014)
@@ -0,0 +1,38 @@
+<?xml version="1.0"?> 
+<xsl:stylesheet 
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+  xmlns:owl="http://www.w3.org/2002/07/owl#"
+  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+  xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
+  version="1.0">
+
+  <xsl:template match="/">
+  <html>
+    <head>
+      <link rel="stylesheet" type="text/css" href="style/skins/sms/sms.css"/>
+
+    </head>
+    <body>
+      <h1>OWL Ontology</h1>
+      <h2>Properties</h2>
+      <xsl:apply-templates select="//owl:ObjectProperty"/>
+      
+      <hr/>
+      <h2>Classes</h2>
+      <xsl:apply-templates select="/rdf:RDF/owl:Class"/>
+      
+    </body>
+  </html>
+  </xsl:template>
+  
+  <xsl:template match="owl:ObjectProperty">
+    <h3>Object Property <xsl:value-of select="@rdf:about"/></h3>
+    <p><xsl:value-of select="rdfs:comment"/></p>
+  </xsl:template>
+  
+  <xsl:template match="owl:Class">
+    <h3>Class <xsl:value-of select="@rdf:about"/></h3>
+    <p><xsl:value-of select="rdfs:comment"/></p>
+  </xsl:template>
+  
+</xsl:stylesheet>

Property changes on: lib/style/skins/sms/rdf.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/sms/index.jsp
===================================================================
--- lib/style/skins/sms/index.jsp	(revision 4013)
+++ lib/style/skins/sms/index.jsp	(revision 4014)
@@ -87,8 +87,10 @@
                     <td>DocId:</td><td><input id="docidtextfield" type="text" name="docid" readonly="true"/></td>
                   </tr>
                   <tr>
-                    <td><a href="javascript:uploadfile()" >[Upload]</a>
-                    <input type="submit"/></td>
+                    <td>
+                      <a href="javascript:uploadfile()" >[Upload]</a>
+                      <!--<input type="submit"/>-->
+                    </td>
                   </tr>
                 </table>
               </form>
Index: lib/style/skins/sms/util.js
===================================================================
--- lib/style/skins/sms/util.js	(revision 4013)
+++ lib/style/skins/sms/util.js	(revision 4014)
@@ -112,20 +112,27 @@
 function search()
 {
   var searchval = document.getElementById("searchtextbox").value
-  var url = '/sms/metacat?action=query&anyfield=' + searchval + '&qformat=sms&pagesize=10&pagestart=0';
+  var url = '/sms/metacat?action=query&anyfield=' + searchval + '&returnfield=dataset/title&qformat=sms&pagesize=10&pagestart=0';
+  setCookie("sms-searchval", searchval);
   reloadSearchContent(url);
 }
 
 function showDatasets()
 {
+  var searchval = getCookie('sms-searchval');
+  alert('searchval: ' + searchval);
+  if(searchval == '')
+  {
+    searchval = '%25';
+  }
   var page = getCookie('sms-pagestart');
   if(page)
   {
-    reloadSearchContent('/sms/metacat?action=query&anyfield=%25&qformat=sms&pagesize=10&pagestart=' + page);
+    reloadSearchContent('/sms/metacat?action=query&anyfield=' + searchval + '&returnfield=dataset/title&qformat=sms&pagesize=10&pagestart=' + page);
   }
   else
   {
-    reloadSearchContent('/sms/metacat?action=query&anyfield=%25&qformat=sms&pagesize=10&pagestart=0');
+    reloadSearchContent('/sms/metacat?action=query&anyfield=' + searchval + '&returnfield=dataset/title&qformat=sms&pagesize=10&pagestart=0');
   }
 }
 
Index: lib/style/skins/sms/xml-button.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/sms/xml-button.png
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property