Index: lib/admin/admin.css
===================================================================
--- lib/admin/admin.css	(revision 4099)
+++ lib/admin/admin.css	(revision 4100)
@@ -57,6 +57,7 @@
 
 input[type="radio"] {
 	margin-bottom: 4px;
+	width: 13px;
 }
 
 input[type="checkbox"] {
@@ -72,6 +73,18 @@
 	margin-right: auto;
 }
 
+.config-section-header {
+	font-size: 16pt;
+	font-weight: bold;
+	border-bottom: solid #dddddd 1px;
+}
+
+.config-line {
+	color: #dddddd;
+	background-color: #dddddd;
+	height: 1px;
+}
+
 .config-section {
 	display: table;
 	width: 100%
@@ -103,7 +116,7 @@
 .config-property-input {
 	text-align: left;
 	vertical-align: middle;
-	width: 400px;
+	width: 418px;
 }
 
 .config-question-mark {
@@ -111,12 +124,6 @@
 	vertical-align: middle;
 }
 
-.section {
-	font-size: 16pt;
-	font-weight: bold;
-	border-bottom: solid #dddddd 1px;
-}
-
 .login-input {
 	width: 150px;
 }
Index: lib/admin/ldap-configuration.jsp
===================================================================
--- lib/admin/ldap-configuration.jsp	(revision 4099)
+++ lib/admin/ldap-configuration.jsp	(revision 4100)
@@ -1,5 +1,5 @@
-<%@ page language="java" import="java.util.Set,java.util.Map,java.util.Vector" %>
-<%@ page language="java" import="edu.ucsb.nceas.utilities.*" %>
+<%@ page language="java"%>
+<%@ page import="java.util.Set,java.util.Map,java.util.Vector,edu.ucsb.nceas.utilities.*" %>
 <%
 	/**
  *  '$RCSfile$'
@@ -62,7 +62,7 @@
 	MetaDataGroup globalGroup = groupMap.get(new Integer(1));
 %>
   <h3><%=globalGroup.getName()%></h3> 
-  <hr class=config>
+  <hr class="config-line">
 <%
  	if (globalGroup.getComment() != null) {
 %>
@@ -99,7 +99,7 @@
 %>
 	</table>
 	<h3><%=orgGroup.getName()%></h3> 
-    <hr class=config>
+    <hr class="config-line">
 <%
  	if (orgGroup.getComment() != null) {
 %>
Index: lib/admin/admin.js
===================================================================
--- lib/admin/admin.js	(revision 4099)
+++ lib/admin/admin.js	(revision 4100)
@@ -96,3 +96,18 @@
 	document.getElementById(objectID).style.display = 'table'; 
 } 
 
+function toggleHiddenDefaultText(radioName, activeSkinName) {
+	radioList = document.getElementsByName(radioName);
+	for (i = 0; i < radioList.length; i++) {
+		radioId = radioList[i].id;
+		nameArray = radioId.split("-", 1);
+		radioSkinName = nameArray[0];
+		if (radioSkinName == activeSkinName) {
+			document.getElementById("hiding-default-" + radioSkinName).style.display = 'inline';
+		} else {
+			document.getElementById("hiding-default-" + radioSkinName).style.display = 'none';
+		}
+	}
+}
+
+
Index: lib/admin/database-configuration.jsp
===================================================================
--- lib/admin/database-configuration.jsp	(revision 4099)
+++ lib/admin/database-configuration.jsp	(revision 4100)
@@ -1,5 +1,5 @@
-<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.admin.DBAdmin,edu.ucsb.nceas.metacat.service.PropertyService" %>
-<%@ page    language="java" import="edu.ucsb.nceas.metacat.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
+<%@ page language="java" %>
+<%@ page import="java.util.Vector,edu.ucsb.nceas.metacat.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
 
 <% 
 /**
Index: lib/admin/skins-configuration.jsp
===================================================================
--- lib/admin/skins-configuration.jsp	(revision 4099)
+++ lib/admin/skins-configuration.jsp	(revision 4100)
@@ -58,7 +58,7 @@
 
 
 <h3>Skins Configuration</h3>
-<hr class=config>
+<hr class="config-line">
 <div class="heading-comment">
 	Choose and configure the skins that will be available in this instance of MetaCat
 </div><br>
@@ -112,7 +112,7 @@
 					<label for="<%= skinName %>-radio"> Make <%= skinName %> default </label>
 				</td>
 				<td class="config-property-input" >
-					<input type="radio" name="default-flag" id="<%= skinName %>-radio" value="<%= skinName %>" onChange="toggleHiddenInline(this, 'hiding-default-<%= skinName %>')"/>
+					<input type="radio" name="default-flag" id="<%= skinName %>-radio" value="<%= skinName %>" onChange="toggleHiddenDefaultText('default-flag', '<%= skinName %>')"/>
 				</td>
 				<td class="config-question-mark">
 					<img src="style/images/question-mark.gif" 
@@ -133,12 +133,13 @@
 					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>  
 				</td>
 				<td class="config-property-input"> 			
-					<select name="<%= metaDataProperty.getKey() %>">
+					<select name="<%= skinName %>.<%= metaDataProperty.getKey() %>">
 <%
-					Vector<String> fieldOptions = metaDataProperty.getFieldOptions();
-					for (String optionName : fieldOptions) {
+					Vector<String> fieldOptionNames = metaDataProperty.getFieldOptionNames();
+					Vector<String> fieldOptionValues = metaDataProperty.getFieldOptionValues();
+					for (int i = 0; i < fieldOptionNames.size(); i++) {
 %>
-						<option value="<%= optionName %>"> <%= optionName %>
+						<option value="<%= fieldOptionValues.elementAt(i) %>"> <%= fieldOptionNames.elementAt(i) %>
 <%
 					}
 %>
@@ -157,7 +158,7 @@
 					<label  for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
 				</td>
 				<td class="config-property-input"> 
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+					<input id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
 							type="<%= fieldType %>"
 							alt="<%= metaDataProperty.getDescription() %>"/> 
 				</td>
@@ -173,7 +174,7 @@
 					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
 				</td>
 				<td class="config-property-input"> 
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
+					<input id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 
 							value="<%= skinProperties.get(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
 							type="<%= fieldType %>	"           			
 							alt="<%= metaDataProperty.getDescription() %>"/>	           		    
Index: lib/admin/admin-login.jsp
===================================================================
--- lib/admin/admin-login.jsp	(revision 4099)
+++ lib/admin/admin-login.jsp	(revision 4100)
@@ -1,4 +1,5 @@
-<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil,edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page language="java" %> 
+<%@ page import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil,edu.ucsb.nceas.metacat.service.PropertyService" %>
 <% 
 /**
  *  '$RCSfile$'
@@ -62,7 +63,7 @@
 <br class="ldap-header">
 
 <%@ include file="./page-message-section.jsp"%>
-<hr class=config>
+<hr class="config-line">
 <br>
 
 <form name="loginform" method="post" action="<%= request.getContextPath() %>/admin"
@@ -103,7 +104,7 @@
 </table>
 
 <br>
-<hr class=config>
+<hr class="config-line">
 
 <table class="admin-login">
 	<tr>
Index: lib/admin/page-message-section.jsp
===================================================================
--- lib/admin/page-message-section.jsp	(revision 4099)
+++ lib/admin/page-message-section.jsp	(revision 4100)
@@ -1,4 +1,4 @@
-<%@ page    language="java" import="java.util.Vector" %>
+<%@ page language="java" import="java.util.Vector" %>
 <% 
 /**
  *  '$RCSfile$'
Index: lib/admin/properties-configuration.jsp
===================================================================
--- lib/admin/properties-configuration.jsp	(revision 4099)
+++ lib/admin/properties-configuration.jsp	(revision 4100)
@@ -1,5 +1,6 @@
-<%@ page language="java" import="java.util.Collection,java.util.Set,java.util.TreeSet,java.util.Map,java.util.Vector" %>
-<%@ page language="java" import="edu.ucsb.nceas.utilities.PropertiesMetaData,edu.ucsb.nceas.utilities.MetaDataGroup,edu.ucsb.nceas.utilities.MetaDataProperty" %>
+<%@ page language="java" %>
+<%@ page import="java.util.Set,java.util.Map,java.util.Vector,edu.ucsb.nceas.utilities.PropertiesMetaData" %>
+<%@ page import="edu.ucsb.nceas.utilities.MetaDataGroup,edu.ucsb.nceas.utilities.MetaDataProperty" %>
 <% 
 /**
  *  '$RCSfile$'
@@ -59,8 +60,8 @@
 			// for this group, display the header (group name)
 			MetaDataGroup metaDataGroup = (MetaDataGroup)groupMap.get(groupId);
 %>
-			<p class="section"><%= metaDataGroup.getName()  %></p>
-			<table class="config-section">
+		<h3><%= metaDataGroup.getName()  %></h3>
+		<table class="config-section">
 <%
 			// get all the properties in this group
 			Map<Integer, MetaDataProperty> propertyMap = 
@@ -79,10 +80,11 @@
      			<td class="config-property-input" >		
 					<select name="<%= metaDataProperty.getKey() %>">
 <%
-					Vector<String> fieldOptions = metaDataProperty.getFieldOptions();
-					for (String optionName : fieldOptions) {
+					Vector<String> fieldOptionValues = metaDataProperty.getFieldOptionValues();
+					Vector<String> fieldOptionNames = metaDataProperty.getFieldOptionNames();
+					for (int i = 0; i < fieldOptionNames.size(); i++) {
 %>
-					<option value="<%= optionName %>"> <%= optionName %>
+					<option value="<%= fieldOptionValues.elementAt(i) %>"> <%= fieldOptionNames.elementAt(i) %>
 <%
 				}
 %>
Index: lib/admin/configure-restart.jsp
===================================================================
--- lib/admin/configure-restart.jsp	(revision 4099)
+++ lib/admin/configure-restart.jsp	(revision 4100)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page language="java" %>
 <% 
 /**
  *  '$RCSfile$'
Index: lib/admin/metacat-configuration.jsp
===================================================================
--- lib/admin/metacat-configuration.jsp	(revision 4099)
+++ lib/admin/metacat-configuration.jsp	(revision 4100)
@@ -52,16 +52,16 @@
 <br class="main-header">
 
 <%@ include file="page-message-section.jsp"%>
-<hr class=config>
+<hr class="config-line">
 
-<table class=configuration-table>
+<table class="configuration-table">
 <%
 	if (ldapConfigured != null && ldapConfigured) {
 %>
         <tr>
-        <td class=configured-tag>[configured] </td>
-		<td class=property-title> LDAP Configuration </td> 
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=ldap">Reconfigure Now</a> </td>
+        <td class="configured-tag">[configured] </td>
+		<td class="property-title"> LDAP Configuration </td> 
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=ldap">Reconfigure Now</a> </td>
         </tr>
 <%
 	} else {
@@ -79,17 +79,17 @@
 	if (propsConfigured != null && propsConfigured) {
 %>
         <tr>
-        <td class=configured-tag>[configured] </td>
-		<td class=property-title> Metacat System Properties </td> 
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Reconfigure Now</a> </td>
+        <td class="configured-tag">[configured] </td>
+		<td class="property-title"> Metacat System Properties </td> 
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Reconfigure Now</a> </td>
         </tr>
 <%
 	} else {
 %>    		
         <tr>
- 		<td class=unconfigured-tag>[unconfigured] </td>  
- 		<td class=property-title> Metacat System Properties </td>
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Configure Now</a> </td>			
+ 		<td class="unconfigured-tag">[unconfigured] </td>  
+ 		<td class="property-title"> Metacat System Properties </td>
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Configure Now</a> </td>			
     	</tr>
 <%
 	}
@@ -97,17 +97,17 @@
     if (skinsConfigured != null && skinsConfigured) {
 %>
         <tr>
-        <td class=configured-tag>[configured] </td>
-		<td class=property-title> Skins Specific Properties </td> 
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Reconfigure Now</a> </td>
+        <td class="configured-tag">[configured] </td>
+		<td class="property-title"> Skins Specific Properties </td> 
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Reconfigure Now</a> </td>
         </tr>
 <%
 	} else {
 %>    		
         <tr>
- 		<td class=unconfigured-tag>[unconfigured] </td>  
- 		<td class=property-title> Skins Specific Properties </td>
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Configure Now</a> </td>			
+ 		<td class="unconfigured-tag">[unconfigured] </td>  
+ 		<td class="property-title"> Skins Specific Properties </td>
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Configure Now</a> </td>			
     	</tr>
 <%
 	}
@@ -117,26 +117,26 @@
     				metacatVersion.compareTo(databaseVersion) == 0)) {
 %>
     	<tr>
-    	<td class=configured-tag>[configured] </td>
-    	<td class=property-title> Database Installation/Upgrade </td> 
-		<td class=configure-link> Version: <%= databaseVersion.getVersionString() %> </td>    		
+    	<td class="configured-tag">[configured] </td>
+    	<td class="property-title"> Database Installation/Upgrade </td> 
+		<td class="configure-link"> Version: <%= databaseVersion.getVersionString() %> </td>    		
     	</tr>
 <%
 	} else {
 %>    		
     	<tr>
-    	<td class=unconfigured-tag>[unconfigured] </td>  
-    	<td class=property-title> Database Installation/Upgrade </td>
+    	<td class="unconfigured-tag">[unconfigured] </td>  
+    	<td class="property-title"> Database Installation/Upgrade </td>
 <%
 	if (propsConfigured != null && propsConfigured) {
 %>
         	
-		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=database">Configure Now</a> </td>			
+		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=database">Configure Now</a> </td>			
         	
 <%
 	} else {
 %> 
-		<td class=configure-link> Configure System Properties First </td>
+		<td class="configure-link"> Configure System Properties First </td>
 <%
 				}
 			%>     	
@@ -145,7 +145,7 @@
 	}
 %>
 </table>
-<hr class=config>
+<hr class="config-line">
 
 <%
 	if (metacatConfigured != null && metacatConfigured) {
@@ -177,7 +177,7 @@
 	    </ol>
 	</p>
 	
-	<hr class=config>
+	<hr class="config-line">
 	<br clear="right"/>
 	<h3>Restarting Metacat</h3>
 	<p>The simplest way to restart metacat is to restart the entire servlet engine.
@@ -191,7 +191,7 @@
                 request.getContextPath() %></a>
 	</p>
 
-	<hr class=config>
+	<hr class="config-line">
 	<%@ include file="./login-footer-section.jsp"%>
 
 	</body>