Index: test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java
===================================================================
--- test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 4144)
+++ test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 4145)
@@ -26,13 +26,12 @@
 
 package edu.ucsb.nceas.metacatnettest;
 
+import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
-import edu.ucsb.nceas.morpho.framework.*;
+
 import junit.framework.Test;
-import junit.framework.TestCase;
-import junit.framework.TestResult;
 import junit.framework.TestSuite;
 
 import java.io.*;
@@ -44,11 +43,10 @@
 /**
  * A JUnit test for testing Step class processing
  */
-public class MetaCatServletNetTest extends TestCase {
+public class MetaCatServletNetTest extends MCTestCase {
 	private static String metacatURL;
 	static {
 		try {		
-			PropertyService.getInstance("build/tests");
 			metacatURL = PropertyService.getProperty("test.metacat.url");
 		} catch (PropertyNotFoundException pnfe) {
 			System.err.println("could not find metacat URL in MetacatServletNetTest: "
Index: test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 4144)
+++ test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 4145)
@@ -33,6 +33,7 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
+import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,11 +41,9 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
-import junit.framework.TestCase;
 import junit.framework.TestSuite;
 import java.io.File;
 
@@ -52,7 +51,7 @@
  * A JUnit test for testing Access Control for online data in Metacat
  */
 public class OnlineDataAccessTest
-    extends TestCase {
+    extends MCTestCase {
 
     private static String metacatUrl;
     private static String username;
@@ -61,7 +60,7 @@
 	private static String anotherpassword;
 	static {
 		try {
-		    metacatUrl = SystemUtil.getServletURL();
+		    metacatUrl = PropertyService.getProperty("test.metacat.url");
 			username = PropertyService.getProperty("test.mcuser");
 			password = PropertyService.getProperty("test.mcpassword");
 			anotheruser = PropertyService.getProperty("test.mcanotheruser");
Index: test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 4144)
+++ test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 4145)
@@ -33,6 +33,7 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
+import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,11 +41,9 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
-import junit.framework.TestCase;
 import junit.framework.TestSuite;
 import java.io.File;
 
@@ -52,7 +51,7 @@
  * A JUnit test for testing Metacat when Non Ascii Characters are inserted
  */
 public class NonAsciiCharacterTest
-    extends TestCase {
+    extends MCTestCase {
 
     private static String metacatUrl;
     private static String username;
@@ -61,7 +60,7 @@
 	private static String anotherpassword;
 	static {
 		try {
-		    metacatUrl = SystemUtil.getServletURL();
+		    metacatUrl = PropertyService.getProperty("test.metacat.url");
 			username = PropertyService.getProperty("test.mcuser");
 			password = PropertyService.getProperty("test.mcpassword");
 			anotheruser = PropertyService.getProperty("test.mcanotheruser");
Index: test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 4144)
+++ test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 4145)
@@ -33,6 +33,7 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
+import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,11 +41,9 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
-import junit.framework.TestCase;
 import junit.framework.TestSuite;
 import java.io.File;
 
@@ -52,7 +51,7 @@
  * A JUnit test for testing Access Control for Inline data in Metacat
  */
 public class InlineDataAccessTest
-    extends TestCase {
+    extends MCTestCase {
 
     private static String metacatUrl;
     private static String username;
@@ -61,7 +60,7 @@
 	private static String anotherpassword;
 	static {
 		try {
-		    metacatUrl = SystemUtil.getServletURL();
+		    metacatUrl = PropertyService.getProperty("test.metacat.url");
 			username = PropertyService.getProperty("test.mcuser");
 			password = PropertyService.getProperty("test.mcpassword");
 			anotheruser = PropertyService.getProperty("test.mcanotheruser");
Index: test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 4144)
+++ test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 4145)
@@ -38,6 +38,7 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
+import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.DocumentImpl;
 import edu.ucsb.nceas.metacat.client.DocumentNotFoundException;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
@@ -47,12 +48,9 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
-import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
-import junit.framework.TestCase;
 import junit.framework.TestSuite;
 import java.io.FileInputStream;
 
@@ -61,7 +59,7 @@
 /**
  * A JUnit test for testing Step class processing
  */
-public class MetacatClientTest extends TestCase
+public class MetacatClientTest extends MCTestCase
 {
 
     private String wrongMetacatUrl=