Index: lib/style/common/ClientViewHelper.jspx
===================================================================
--- lib/style/common/ClientViewHelper.jspx	(revision 4172)
+++ lib/style/common/ClientViewHelper.jspx	(revision 4173)
@@ -24,7 +24,7 @@
         if (contentType != null &amp;&amp; (contentType.indexOf("multipart/form-data") > -1)) {
             //*** Process request here if a file update.
             //*** Init the MultipartParser.
-            sizeLimit = (new Integer(PropertyService.getProperty("datafilesizelimit"))).intValue();
+            sizeLimit = (new Integer(PropertyService.getProperty("replication.datafilesizelimit"))).intValue();
             multipartParser = new MultipartParser(request, sizeLimit * 1024 * 1024);
             message = clientHelper.handleFileUpdate(multipartParser);
         } else {
Index: lib/style/common/fgdc/ClientViewHelper.jspx
===================================================================
--- lib/style/common/fgdc/ClientViewHelper.jspx	(revision 4172)
+++ lib/style/common/fgdc/ClientViewHelper.jspx	(revision 4173)
@@ -20,7 +20,7 @@
     </jsp:declaration>
     
     <jsp:scriptlet>
-        sizeLimit = (new Integer(PropertyService.getProperty("datafilesizelimit"))).intValue();
+        sizeLimit = (new Integer(PropertyService.getProperty("replication.datafilesizelimit"))).intValue();
         clientHelper = ClientViewHelper.clientViewHelperInstance(request);
         
         contentType = request.getContentType();
Index: src/edu/ucsb/nceas/metacat/MetacatReplication.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4173)
@@ -73,7 +73,7 @@
   public void init(ServletConfig config) throws ServletException
   {
      //initialize db connections to handle any update requests
-    //deltaT = util.getProperty("deltaT");
+    //deltaT = util.getProperty("replication.deltaT");
     //the default deltaT can be set from metacat.properties
     //create a thread to do the delta-T check but don't execute it yet
     replicationDaemon = new Timer(true);
@@ -1280,7 +1280,7 @@
                 doclist.append("</docid><rev>").append(rs.getInt(2));
                 doclist.append("</rev>");
                 doclist.append("<datafile>");
-                doclist.append(PropertyService.getProperty("datafileflag"));
+                doclist.append(PropertyService.getProperty("replication.datafileflag"));
                 doclist.append("</datafile>");
                 doclist.append("</updatedDocument>");
               }//else
@@ -1427,7 +1427,7 @@
             if (recordDoctype.equals("BIN"))
             {
                 revDocList.append("<datafile>");
-                revDocList.append(PropertyService.getProperty("datafileflag"));
+                revDocList.append(PropertyService.getProperty("replication.datafileflag"));
                 revDocList.append("</datafile>");
             }
             revDocList.append("</revisionDocument>");
@@ -1891,8 +1891,8 @@
 	public static void replLog(String message) {
 		try {
 			FileOutputStream fos = 
-				new FileOutputStream(PropertyService.getProperty("application.tomcatDir")
-					+ "/logs/metacatreplication.log", true);
+				new FileOutputStream(PropertyService.getProperty("replication.logdir")
+					+ "/metacatreplication.log", true);
 			PrintWriter pw = new PrintWriter(fos);
 			SimpleDateFormat formatter = new SimpleDateFormat("yy-MM-dd HH:mm:ss");
 			java.util.Date localtime = new java.util.Date();
Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4173)
@@ -2900,7 +2900,7 @@
         int sizeLimit = 1000;
         try {
         	sizeLimit = 
-        		(new Integer(PropertyService.getProperty("datafilesizelimit"))).intValue();
+        		(new Integer(PropertyService.getProperty("replication.datafilesizelimit"))).intValue();
         } catch (PropertyNotFoundException pnfe) {
         	logMetacat.error("Could not determine data file size limit.  Using 1000. " 
         			+ pnfe.getMessage());
Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4173)
@@ -78,7 +78,7 @@
   private static String DEFAULTCONTENTTYPE;
   static {
 		try {
-			DEFAULTCONTENTTYPE = PropertyService.getProperty("defaultcontenttype");
+			DEFAULTCONTENTTYPE = PropertyService.getProperty("replication.defaultcontenttype");
 		} catch (PropertyNotFoundException pnfe) {
 			System.err.println("Could not get property DEFAULTCONTENTTYPE:" 
 					+ pnfe.getMessage());
Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4173)
@@ -2053,7 +2053,7 @@
                 }
                 logMetacat.info("final revsion is: " + thisrev);
                 boolean useXMLIndex = (new Boolean(PropertyService
-                        .getProperty("usexmlindex"))).booleanValue();
+                        .getProperty("database.usexmlindex"))).booleanValue();
                 if (useXMLIndex) {
                     logMetacat.info("before delete");
                     double start = System.currentTimeMillis()/1000;
@@ -2440,7 +2440,7 @@
     
     private static void addDocidToIndexingQueue(String docid, String rev) throws PropertyNotFoundException {
         boolean useXMLIndex =
-            (new Boolean(PropertyService.getProperty("usexmlindex"))).booleanValue();
+            (new Boolean(PropertyService.getProperty("database.usexmlindex"))).booleanValue();
         if (useXMLIndex) {
             	IndexingQueue.getInstance().add(docid, rev);
         }
@@ -2816,7 +2816,7 @@
             logMetacat.info("The time for archiveDocAndNodesRevision is "+(afterArchiveDocAndNode - start));
             // Now delete it from the xml_index table
             boolean useXMLIndex = (new Boolean(PropertyService
-                    .getProperty("usexmlindex"))).booleanValue();
+                    .getProperty("database.usexmlindex"))).booleanValue();
 
 
 
Index: src/edu/ucsb/nceas/metacat/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4173)
@@ -1014,7 +1014,7 @@
 			// Check if the vector w contain "datafile"
 			// If it has, this document is data file
 			try {
-				if (w.contains((String) PropertyService.getProperty("datafileflag"))) {
+				if (w.contains((String) PropertyService.getProperty("replication.datafileflag"))) {
 					dataFile = true;
 				}
 			} catch (PropertyNotFoundException pnfe) {
Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4172)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4173)
@@ -286,7 +286,7 @@
                                        String user, String[] groups,
                                        String sessionid) throws PropertyNotFoundException
   {
-    boolean useXMLIndex = (new Boolean(PropertyService.getProperty("usexmlindex")))
+    boolean useXMLIndex = (new Boolean(PropertyService.getProperty("database.usexmlindex")))
                .booleanValue();
     findDocuments(response, out, params, user, groups, sessionid, useXMLIndex);
 
@@ -1594,7 +1594,7 @@
             // Also ignore parameters listed in the properties file
             // so that they can be passed through to stylesheets
             String paramsToIgnore = PropertyService
-                    .getProperty("query.ignored.params");
+                    .getProperty("database.queryignoredparams");
             StringTokenizer st = new StringTokenizer(paramsToIgnore, ",");
             while (st.hasMoreTokens()) {
                 ignoredParams.add(st.nextToken());